const Main = imports.ui.main;

const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();
const Convenience = Me.imports.convenience;

let settings = null;
let settingsId = 0;

function loadStyle(style) {
    let name = style ? '%s/stylesheet-%s.css'.format(Me.path, style) : null;
    Main.setThemeStylesheet(name);
    Main.loadTheme();
}

function init() {
    settings = Convenience.getSettings();
}

function enable() {
    settingsId = settings.connect('changed', function() {
        loadStyle(settings.get_string('icon-style'));
    });
    loadStyle(settings.get_string('icon-style'));
}

function disable() {
    settings.disconnect(settingsId);
    settingsId = 0;

    loadStyle(null);
}
