const Gio = imports.gi.Gio;
const Gtk = imports.gi.Gtk;
const Lang = imports.lang;

const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();
const Convenience = Me.imports.convenience;

const IconStylePrefs = new Lang.Class({
    Name: 'IconStylePrefs',
    Extends: Gtk.Grid,

    _init: function() {
        this.parent({ halign: Gtk.Align.CENTER,
                      margin: 24,
                      column_spacing: 12 });

        this._settings = Convenience.getSettings();

        let combo = new Gtk.ComboBoxText();
        combo.append('requested', "Requested");
        combo.append('regular', "Regular");
        combo.append('symbolic', "Symbolic");
        this._settings.bind('icon-style', combo, 'active-id',
                            Gio.SettingsBindFlags.DEFAULT);

        this.attach(new Gtk.Label({ label: "Icon style" }), 0, 0, 1, 1);
        this.attach(combo, 1, 0, 1, 1);

        this.show_all();
    }
});

function init() {
}

function buildPrefsWidget() {
    return new IconStylePrefs();
}
